=== debian/control ===
Source: glbsp
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), zlib1g-dev | libz-dev
Standards-Version: 3.9.3
Vcs-Git: https://salsa.debian.org/debian/glbsp.git
Vcs-Browser: https://salsa.debian.org/debian/glbsp

Package: libglbsp-dev
Section: libdevel
Architecture: any
Depends: libglbsp3 (= ${binary:Version}), ${misc:Depends}
Description: node builder library for OpenGL-based Doom-style games (headers)
 glBSP is a node builder specially designed to be used with OpenGL ports of
 the DOOM game engine. It adheres to the "GL-Friendly Nodes" specification,
 which means it adds some new special nodes to a WAD file that makes it very
 easy (and fast!) for an OpenGL DOOM engine to compute the polygons needed
 for drawing the levels.
 .
 There are many DOOM ports that understand the GL Nodes which glBSP creates,
 including EDGE, the Doomsday engine (JDOOM), Doom3D, PrBoom, and Vavoom.

Package: libglbsp3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: node builder library for OpenGL-based Doom-style games
 glBSP is a node builder specially designed to be used with OpenGL ports of
 the DOOM game engine. It adheres to the "GL-Friendly Nodes" specification,
 which means it adds some new special nodes to a WAD file that makes it very
 easy (and fast!) for an OpenGL DOOM engine to compute the polygons needed
 for drawing the levels.
 .
 There are many DOOM ports that understand the GL Nodes which glBSP creates,
 including EDGE, the Doomsday engine (JDOOM), Doom3D, PrBoom, and Vavoom.

Package: glbsp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: doom-node-builder
Description: nodes builder for Doom-style games; has support for OpenGL
 glBSP is a node builder specially designed to be used with OpenGL ports of
 the DOOM game engine. It adheres to the "GL-Friendly Nodes" specification,
 which means it adds some new special nodes to a WAD file that makes it very
 easy (and fast!) for an OpenGL DOOM engine to compute the polygons needed
 for drawing the levels.
 .
 There are many DOOM ports that understand the GL Nodes which glBSP creates,
 including EDGE, the Doomsday engine (JDOOM), Doom3D, PrBoom, and Vavoom.
