=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CC = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)-gcc

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# shared library versions
version=3.0.0
major=3

export CC
export CFLAGS
export version
export major

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -f debian/makefile
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) -f debian/makefile clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -f debian/makefile install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES.txt
	dh_installdocs
	rm -rf debian/*/usr/share/doc/libglbsp-dev debian/*/usr/share/doc/glbsp
	install -d debian/libglbsp-dev/usr/share/doc debian/glbsp/usr/share/doc
	ln -s libglbsp$(major) debian/libglbsp-dev/usr/share/doc/libglbsp-dev
	ln -s libglbsp$(major) debian/glbsp/usr/share/doc/glbsp
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -L libglbsp$(major) -l debian/libglbsp$(major)/usr/lib
#	sed -i -e 's/libglbsp'$(major)'/& (>= $${source:Version})/' debian/glbsp.substvars
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch: build
build-indep: build
binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
